.TH sane\-hp3500 5 "13 Jul 2008" "@PACKAGEVERSION@" "SANE Scanner Access Now Easy"
.IX sane\-hp3500
.SH NAME
sane\-hp3500 \- SANE backend for Hewlett-Packard ScanJet 3500 series scanners
.SH DESCRIPTION
The
.B sane\-hp3500
library implements a SANE (Scanner Access Now Easy) backend that provides
access to the following Hewlett-Packard USB flatbed scanners:
.PP
.RS
ScanJet 3500C
.br
ScanJet 3530C
.br
ScanJet 3570C
.RE
.PP
If you own a scanner other than the ones listed above that works with this
backend, please let us know this by sending the scanner's exact model name and
the USB vendor and device ids (e.g. from
.IR /proc/bus/usb/devices ,
.I sane\-find\-scanner
or syslog) to us. Even if the scanner's name is only slightly different from
the models mentioned above, please let us know.
.SH CONFIGURATION
None required.
.SH FILES
.TP
.I @LIBDIR@/libsane\-hp3500.a
The static library implementing this backend.
.TP
.I @LIBDIR@/libsane\-hp3500.so
The shared library implementing this backend (present on systems that
support dynamic loading).
.SH ENVIRONMENT
.B SANE_DEBUG_HP3500
If the library was compiled with debug support enabled, this
environment variable controls the debug level for this backend.  Higher
debug levels increase the verbosity of the output. 

Example: 
export SANE_DEBUG_HP3500=4

.SH "SEE ALSO"
.BR sane (7),
.BR sane\-usb (5),
.br
.I http://projects.troy.rollo.name/rt-scanners/

.SH AUTHOR
Troy Rollo <sane@troy.rollo.name>

